SUSE Security Update: Security update for the Linux Kernel (Live Patch 40 for SLE 12 SP3)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2006-1
Rating:             important
References:         #1197597 #1199602 #1199834 
Cross-References:   CVE-2022-1048 CVE-2022-30594
CVSS scores:
                    CVE-2022-1048 (NVD) : 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1048 (SUSE): 7.4 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-30594 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-30594 (SUSE): 8.4 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise Live Patching 12-SP4
                    SUSE Linux Enterprise Server 12-SP3-LTSS
                    SUSE Linux Enterprise Server for SAP 12-SP3
______________________________________________________________________________

   An update that solves two vulnerabilities and has one
   errata is now available.

Description:

   This update for the Linux Kernel 4.4.180-94_147 fixes several issues.

   The following security issues were fixed:

   - CVE-2022-1048: Fixed a race Condition in snd_pcm_hw_free leading to
     use-after-free due to the AB/BA lock with buffer_mutex and mmap_lock
     (bsc#1197597).
   - CVE-2022-30594: Fixed restriction bypass on setting the
     PT_SUSPEND_SECCOMP flag (bnc#1199602).
   - Add missing module_mutex lock to module notifier for previous live
     patches (bsc#1199834).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 12-SP3:

      zypper in -t patch SUSE-SLE-SAP-12-SP3-2022-2006=1 SUSE-SLE-SAP-12-SP3-2022-2007=1 SUSE-SLE-SAP-12-SP3-2022-2008=1 SUSE-SLE-SAP-12-SP3-2022-2009=1

   - SUSE Linux Enterprise Server 12-SP3-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-2022-2006=1 SUSE-SLE-SERVER-12-SP3-2022-2007=1 SUSE-SLE-SERVER-12-SP3-2022-2008=1 SUSE-SLE-SERVER-12-SP3-2022-2009=1

   - SUSE Linux Enterprise Live Patching 12-SP4:

      zypper in -t patch SUSE-SLE-Live-Patching-12-SP4-2022-2011=1



Package List:

   - SUSE Linux Enterprise Server for SAP 12-SP3 (ppc64le x86_64):

      kgraft-patch-4_4_180-94_147-default-13-2.2
      kgraft-patch-4_4_180-94_147-default-debuginfo-13-2.2
      kgraft-patch-4_4_180-94_150-default-9-2.2
      kgraft-patch-4_4_180-94_150-default-debuginfo-9-2.2
      kgraft-patch-4_4_180-94_153-default-5-2.2
      kgraft-patch-4_4_180-94_153-default-debuginfo-5-2.2
      kgraft-patch-4_4_180-94_156-default-4-2.2
      kgraft-patch-4_4_180-94_156-default-debuginfo-4-2.2

   - SUSE Linux Enterprise Server 12-SP3-LTSS (ppc64le x86_64):

      kgraft-patch-4_4_180-94_147-default-13-2.2
      kgraft-patch-4_4_180-94_147-default-debuginfo-13-2.2
      kgraft-patch-4_4_180-94_150-default-9-2.2
      kgraft-patch-4_4_180-94_150-default-debuginfo-9-2.2
      kgraft-patch-4_4_180-94_153-default-5-2.2
      kgraft-patch-4_4_180-94_153-default-debuginfo-5-2.2
      kgraft-patch-4_4_180-94_156-default-4-2.2
      kgraft-patch-4_4_180-94_156-default-debuginfo-4-2.2

   - SUSE Linux Enterprise Live Patching 12-SP4 (ppc64le s390x x86_64):

      kgraft-patch-4_12_14-95_93-default-4-2.2


References:

   https://www.suse.com/security/cve/CVE-2022-1048.html
   https://www.suse.com/security/cve/CVE-2022-30594.html
   https://bugzilla.suse.com/1197597
   https://bugzilla.suse.com/1199602
   https://bugzilla.suse.com/1199834